export declare class OrderedDictionary<V> {
    private _values;
    private valuesByKey;
    constructor();
    push(key: string, value: V): void;
    insertAfterValue(key: string, value: V, otherValue: V): void;
    insertBeforeValue(key: string, value: V, otherValue: V): void;
    remove(key: string): void;
    removeValue(value: V): void;
    getValue(key: string): V;
    readonly values: V[];
    readonly length: number;
}
